import React,{Component} from 'react'
import {StyleSheet,Text,View,ProgressBarAndroid} from 'react-native'
import {responsiveWidth,responsiveHeight} from 'react-native-responsive-dimensions'
import NotificationTextSimple from "./NotificationTextSimple";

export default class NotificationBuilder extends Component{

    constructor(props){
        super(props)
    }

    render() {
        if(this.props.type===0){
            return (<NotificationTextSimple
                        text={this.props.text}
                    />)
        }
        return (
            <View style={{width:responsiveWidth(90),height:responsiveHeight(40),justifyContent:'center',alignItems:'center',
                padding:20,
                backgroundColor:'white'}}>
                <Text style={{fontSize:17,fontWeight:'bold'}}>{this.props.title}</Text>
                <Text style={{fontSize:15,marginBottom:20}}>{this.props.text}</Text>
                <ProgressBarAndroid/>
            </View>
        )
    }
}